<?php

function moneyFormat($money,$lang) {
	if($lang == "fr") $money2 = number_format($money, 0, ',', ' ')." $";
	if($lang == "en") $money2 = "$".number_format($money, 0, '.', ',');
	return $money2;
}

// Find if a trade is pending
include 'login/mysqli.php';
$sql = "SELECT * FROM `".$db_table."_trade` WHERE `APPROVAL` = '0000-00-00 00:00:00' AND (`TEAM1` = '$teamFHLSimName' OR `TEAM2` = '$teamFHLSimName')";
$query = mysqli_query($con, $sql) or die(mysqli_error($con));
$i = 0;
if($query){
	while($data = mysqli_fetch_array($query)) {
		$dbINT[$i] = $data['INT'];
		$dbDATE1[$i] = $data['DATE1'];
		$dbDATE2[$i] = $data['DATE2'];
		$dbTEAM1[$i] = $data['TEAM1'];
		$dbTEAM2[$i] = $data['TEAM2'];
		$dbPLAYER1[$i] = explode('|',$data['PLAYER1']);
		$dbPLAYER2[$i] = explode('|',$data['PLAYER2']);
		$dbPROSPECT1[$i] = explode('|',$data['PROSPECT1']);
		$dbPROSPECT2[$i] = explode('|',$data['PROSPECT2']);
		$dbDRAFT1[$i] = explode('|',$data['DRAFT1']);
		$dbDRAFT2[$i] = explode('|',$data['DRAFT2']);
		$dbTEXT1[$i] = $data['TEXT1'];
		$dbTEXT2[$i] = $data['TEXT2'];
		if($data['CASH1'] != "") $dbCASH1[$i] = moneyFormat($data['CASH1'], $league_langue);
		else $dbCASH1[$i] = "";
		if($data['CASH2'] != "") $dbCASH2[$i] = moneyFormat($data['CASH2'], $league_langue);
		else $dbCASH2[$i] = "";
		$i++;
	}
}

$sql = "SELECT `VALUE` FROM `".$db_table."_parameters` WHERE `PARAM` = 'league_TradeToolDraft'";
$query = mysqli_query($con, $sql) or die(mysqli_error($con));
if($query) {
	while($data = mysqli_fetch_array($query)) {
		$league_TradeToolDraft = $data['VALUE'];
	}
}
$sql = "SELECT `VALUE` FROM `".$db_table."_parameters` WHERE `PARAM` = 'league_TradeToolDraftRounds'";
$query = mysqli_query($con, $sql) or die(mysqli_error($con));
if($query) {
	while($data = mysqli_fetch_array($query)) {
		$league_TradeToolDraftRounds = $data['VALUE'];
	}
}
mysqli_close($con);

if(isset($dbINT)) {
	echo '<span style="font-weight:bold;">'.$db_membre_trade[2].'</span><br>'.$db_membre_trade[31].'<br>';
	echo '<table class="table" style="width:100%; margin-bottom:20px;">';
	echo '<tr class="tr">';
	echo '<td>'.$db_membre_trade[3].'</td>';
	echo '<td>'.$db_membre_trade[32].'</td>';
	echo '<td>'.$db_membre_trade[8].'</td>';
	echo '<td>'.$db_membre_trade[33].'</td>';
	echo '<td></td>';
	echo '</tr>';
	for($i=0;$i<count($dbINT);$i++) {
		echo '<tr>';
		echo '<td style="vertical-align: top;">'.$dbTEAM1[$i].'<br>'.$dbDATE1[$i].'</td>';
		echo '<td style="vertical-align: top;">';
		for($x=0;$x<count($dbPLAYER1[$i]);$x++) {
			if($dbPLAYER1[$i][$x] == "") break 1;
			if($x!=0) echo '<br>';
			echo $dbPLAYER1[$i][$x];
		}
		for($y=0;$y<count($dbPROSPECT1[$i]);$y++) {
			if($dbPROSPECT1[$i][$y] == "") break 1;
			if($y!=0 || $x!=0) echo '<br>';
			echo '*'.$dbPROSPECT1[$i][$y];
		}
		for($z=0;$z<count($dbDRAFT1[$i]);$z++) {
			if($dbDRAFT1[$i][$z] == "") break 1;
			if($z!=0 || $y!=0 || $x!=0) echo '<br>';
			echo $dbDRAFT1[$i][$z];
		}
		echo '<br>'.$dbCASH1[$i];
		echo '</td>';
		
		echo '<td style="vertical-align: top;">'.$dbTEAM2[$i]; 
		if($dbDATE2[$i] != '0000-00-00 00:00:00') {
			echo '<br>'.$dbDATE2[$i];
		}
		else {
			if($teamFHLSimName == $dbTEAM2[$i]) echo '<br><input class="button" type="button" value="Accept" onclick="acceptTrade('.$dbINT[$i].')">'; 
			else echo '<br>'.$db_membre_trade[15];
		}
		echo '</td>';
		echo '<td style="vertical-align: top;">';
		for($x=0;$x<count($dbPLAYER2[$i]);$x++) {
			if($dbPLAYER2[$i][$x] == "") break 1;
			if($x!=0) echo '<br>';
			echo $dbPLAYER2[$i][$x];
		}
		for($y=0;$y<count($dbPROSPECT2[$i]);$y++) {
			if($dbPROSPECT2[$i][$y] == "") break 1;
			if($y!=0 || $x!=0) echo '<br>';
			echo '*'.$dbPROSPECT2[$i][$y];
		}
		for($z=0;$z<count($dbDRAFT2[$i]);$z++) {
			if($dbDRAFT2[$i][$z] == "") break 1;
			if($z!=0 || $y!=0 || $x!=0) echo '<br>';
			echo $dbDRAFT2[$i][$z];
		}
		echo '<br>'.$dbCASH2[$i];
		echo '</td>';
		
		if($dbDATE2[$i] == '0000-00-00 00:00:00') echo '<td><input style="background-color:red;" class="button" type="button" onclick="javascript:deleteTrade('.$dbINT[$i].')" value="'.$db_membre_trade[17].'"></td>';
		else echo '<td style="font-weight:bold; text-align:center;">'.$db_membre_trade[16].'</td>';
		echo '</tr>';
		
		if($dbDATE2[$i] == '0000-00-00 00:00:00' && $teamFHLSimName == $dbTEAM2[$i]) {
			echo '<tr><td colspan="5"><span style="font-weight:bold;">'.$db_membre_trade[34].'</span><br><input class="ligne" type="text" id="awayText" style="width:99%;"></td></tr>';
		}
	}
	echo '</table>';
}

$problem = 0;
// $teamFHLSimName : Current team name, same as in FHLSim

// .TMS - Team List
$matches = glob($file_folder.'*.tms');
if(isset($matches) && count($matches)) {
	$matchesDate = array_map('filemtime', $matches);
	arsort($matchesDate);
	foreach ($matchesDate as $j => $val) {
		break 1;
	}
	$fileTMS = $matches[$j];
	//if(substr_count($matches[$j],"/")) $fileTMS = substr($matches[$j],strrpos($matches[$j],"/")+1);
	//else $fileTMS = $matches[$j];
}

if(isset($fileTMS)) {
	$fileTMSCurrentTeam = "";
	$filename = $fileTMS;
	$handle = fopen ($filename, "r");
	$load_contents = '';
	while (!feof($handle)) {
		$load_contents .= fread($handle, 8192);
	}
	fclose ($handle);
	$hex = '';
	$hex = bin2hex($load_contents);
	
	$teamNumber = 0;
	for($x=0;$x<strlen($hex);$x=$x+508){
		$teamName = substr($hex, $x, 20);
		$teamAbbr = substr($hex, $x+122, 6);
		$erreur = substr($hex, $x+506, 2);
		if((hexdec($erreur)>="32") && (hexdec($erreur)<="126")) $x = $x - 2;
		else {
			$strLength = strlen($teamName);
			$returnVal = '';
			for($k=0; $k<$strLength; $k += 2) {
				$dec_val = hexdec(substr($teamName, $k, 2));
				$returnVal .= chr($dec_val);
			}
			$teamName = utf8_encode(trim($returnVal));
			$strLength = strlen($teamAbbr);
			$returnVal = '';
			for($k=0; $k<$strLength; $k += 2) {
				$dec_val = hexdec(substr($teamAbbr, $k, 2));
				$returnVal .= chr($dec_val);
			}
			$teamAbbr = utf8_encode(trim($returnVal));
			
			if((isset($fileTMSName) && !in_array($teamName, $fileTMSName)) || !isset($fileTMSName)) {
				// Variable à utiliser
				$fileTMSAbbr[$teamNumber] = $teamAbbr;
				$fileTMSName[$teamNumber] = $teamName;
				if($teamName == $teamFHLSimName) $fileTMSCurrentTeam = $teamNumber;
				
				$teamNumber++;
			}
		}
	}
}
else $problem = 1;

// .DPK - Draft Pick
$matches = glob($file_folder.'*.dpk');
if(isset($matches) && count($matches)) {
	$matchesDate = array_map('filemtime', $matches);
	arsort($matchesDate);
	foreach ($matchesDate as $j => $val) {
		break 1;
	}
	$fileDPK = $matches[$j];
	//if(substr_count($matches[$j],"/")) $fileDPK = substr($matches[$j],strrpos($matches[$j],"/")+1);
	//else $fileDPK = $matches[$j];
}

if(isset($fileDPK)) {
	$filename = $fileDPK;
	$handle = fopen ($filename, "r");
	$load_contents = '';
	while (!feof($handle)) {
		$load_contents .= fread($handle, 8192);
	}
	fclose ($handle);
	$hex = '';
	$hex = bin2hex($load_contents);
	
	$teamNumber = 0;
	for($y=0;$y<strlen($hex);$y=$y+3072) {
		$draftPickList = substr($hex, $y, 3072);
		$z = 0;
		for($x=0;$x<strlen($draftPickList);$x=$x+12) {
			if(substr($draftPickList, $x+8, 2) == "ff" && substr($draftPickList, $x+10, 2) == "ff") {
				$fileDPKYear[$teamNumber][$z] = hexdec(substr($draftPickList, $x, 2));
				$fileDPKNumber[$teamNumber][$z] = hexdec(substr($draftPickList, $x+2, 2)) + 1;
				$fileDPKTeam[$teamNumber][$z] = hexdec(substr($draftPickList, $x+4, 2));
				$fileDPKTeamXXX[$teamNumber][$z] = hexdec(substr($draftPickList, $x+6, 2));
				$z++;
			}
		}
		$teamNumber++;
	}
}
else $problem = 2;

// PCT - Prospect
$matches = glob($file_folder.'*.pct');
if(isset($matches) && count($matches)) {
	$matchesDate = array_map('filemtime', $matches);
	arsort($matchesDate);
	foreach ($matchesDate as $j => $val) {
		break 1;
	}
	$filePCT = $matches[$j];
	//if(substr_count($matches[$j],"/")) $filePCT = substr($matches[$j],strrpos($matches[$j],"/")+1);
	//else $filePCT = $matches[$j];
}

if(isset($filePCT)) {
	$filename = $filePCT;
	$handle = fopen ($filename, "r");
	$load_contents = '';
	while (!feof($handle)) {
		$load_contents .= fread($handle, 8192);
	}
	fclose ($handle);
	$hex = '';
	$hex = bin2hex($load_contents);
	
	$teamNumber = 0;
	for($y=0;$y<strlen($hex);$y=$y+5400) {
		$prospectList = substr($hex, $y, 5400);
		$z = 0;
		for($x=0;$x<strlen($prospectList);$x=$x+44) {
			$prospectName = substr($prospectList, $x, 44);
			if(strpos($prospectName,"00") === false) {
				$strLength = strlen($prospectName);
				$returnVal = '';
				for($k=0; $k<$strLength; $k += 2) {
					$dec_val = hexdec(substr($prospectName, $k, 2));
					$returnVal .= chr($dec_val);
				}
				$prospectName = utf8_encode(trim($returnVal));
				if($prospectName != '') {
					$filePCTName[$teamNumber][$z] = $prospectName;
					$z++;
				}
			}
		}
		if(isset($filePCTName[$teamNumber])) sort($filePCTName[$teamNumber]);
		$teamNumber++;
	}
}
else $problem = 3;

// ROS - Rosters
$matches = glob($file_folder.'*.ros');
if(isset($matches) && count($matches)) {
	$matchesDate = array_map('filemtime', $matches);
	arsort($matchesDate);
	foreach ($matchesDate as $j => $val) {
		break 1;
	}
	$fileROS = $matches[$j];
	//if(substr_count($matches[$j],"/")) $fileROS = substr($matches[$j],strrpos($matches[$j],"/")+1);
	//else $fileROS = $matches[$j];
}

if(isset($fileROS)) {
	$filename = $fileROS;
	$handle = fopen ($filename, "r");
	$load_contents = '';
	while (!feof($handle)) {
		$load_contents .= fread($handle, 8192);
	}
	fclose ($handle);
	$hex = '';
	$hex = bin2hex($load_contents);
	
	$teamNumber = 0;
	for($y=0;$y<strlen($hex);$y=$y+8600) {
		$rosterList = substr($hex, $y, 8600);
		$z = 0;
		for($x=0;$x<strlen($rosterList);$x=$x+172) {
			$rosterName = substr($rosterList, $x, 44);
			$strLength = strlen($rosterName);
			$returnVal = '';
			for($k=0; $k<$strLength; $k += 2) {
				$dec_val = hexdec(substr($rosterName, $k, 2));
				$returnVal .= chr($dec_val);
			}
			$rosterName = utf8_encode(trim($returnVal));
			
			if($rosterName != '') {
				$fileROSName[$teamNumber][$z] = $rosterName;
				$z++;
			}
		}
		if(isset($fileROSName[$teamNumber])) asort($fileROSName[$teamNumber]);
		$teamNumber++;
	}
}
else $problem = 4;

if($problem != 0) {
	echo '<br>Please contact your league website administrator... Error code: ';
	if($problem == 1) echo '.TMS File Not Found!';
	if($problem == 2) echo '.DPK File Not Found!';
	if($problem == 3) echo '.PCT File Not Found!';
	if($problem == 4) echo '.ROS File Not Found!';
}
else {
	echo '<input type="hidden" value="'.$teamFHLSimName.'" id="homeTeam">';
	// Roster Box - Current Team
	echo '<div style="float:left; margin-right:10px;"><b>'.$db_membre_trade[18].'</b><br>';
	echo '<div style="border:1px solid #000000; width:150px; height:100px; overflow-x:scroll; overflow-x:hidden;">';
	if(isset($fileROSName[$fileTMSCurrentTeam])) {
		$color = 4;
		$i = 0;
		foreach ($fileROSName[$fileTMSCurrentTeam] as $key => $val) {
			if($color == 3) $color = 4;
			else $color = 3;
			echo '<div class="hover'.$color.'" id="homePlayer'.$i.'" onclick="selectPlayer(\'homePlayer'.$i.'\');">'.$val.'</div>'; // $key, key for the other arrays, top keep players with his stats
			$i++;
		}
	}
	echo '</div></div>';
	
	// Prospect Box - Current Team
	echo '<div style="float:left; margin-right:10px;"><b>'.$db_membre_trade[19].'</b><br>';
	echo '<div style="border:1px solid #000000; width:150px; height:100px; overflow-x:scroll; overflow-x:hidden;">';
	if(isset($filePCTName[$fileTMSCurrentTeam])) {
		$color = 4;
		$i = 0;
		for($z=0;$z<count($filePCTName[$fileTMSCurrentTeam]);$z++) {
			if($color == 3) $color = 4;
			else $color = 3;
			echo '<div class="hover'.$color.'" id="homeProspect'.$i.'" onclick="selectPlayer(\'homeProspect'.$i.'\');">'.$filePCTName[$fileTMSCurrentTeam][$z].'</div>';
			$i++;
		}
	}
	echo '</div></div>';
	
	// Draft Picks Box - Current Team
	echo '<div style="float:left; margin-right:10px;"><b>'.$db_membre_trade[20].'</b><br>';
	echo '<div style="border:1px solid #000000; width:150px; height:100px; overflow-x:scroll; overflow-x:hidden;">';
	if(isset($fileDPKYear[$fileTMSCurrentTeam])) {
		$color = 4;
		$i = 0;
		for($z=0;$z<count($fileDPKYear[$fileTMSCurrentTeam]);$z++) {
			if($fileDPKNumber[$fileTMSCurrentTeam][$z] <= $league_TradeToolDraftRounds) {
				if($color == 3) $color = 4;
				else $color = 3;
				$draftYear = $league_TradeToolDraft + $fileDPKYear[$fileTMSCurrentTeam][$z];
				echo '<div class="hover'.$color.'" id="homeDraft'.$i.'" onclick="selectPlayer(\'homeDraft'.$i.'\');">';
				//echo 'Year '.$fileDPKYear[$fileTMSCurrentTeam][$z].': ';
				echo $fileTMSAbbr[$fileDPKTeam[$fileTMSCurrentTeam][$z]].' ';
				echo $draftYear.' ';
				echo 'Rnd '.$fileDPKNumber[$fileTMSCurrentTeam][$z];
				echo '</div>';
				$i++;
			}
		}
	}
	echo '</div></div>';
	// Cash Box - Current Team
	echo '<div style="float:left; margin-right:10px;"><b>'.$db_membre_trade[21].'</b><br>';
	echo '<input class="ligne" type="number" value="0" id="homeCash">';
	echo '</div>';
	
	// Text Box - Current Team
	echo '<div style="clear:left;"><b>'.$db_membre_trade[34].'</b><br>';
	echo '<input class="ligne" type="text" id="homeText" style="width:100%;">';
	echo '</div>';
	
	// Teams Separator
	echo '<div style="clear:both;"></div><div style="height:2px; background-color:#000000; width:99%; margin-top:10px; margin-bottom:10px;"></div>';
	
	// Select Team
	echo '<select id="teamSelect" style="margin-bottom:10px;" onchange="teamSelect();">';
	echo '<option value="" selected="selected">'.$db_membre_trade[22].'</option>';
	for($x=0;$x<count($fileTMSName);$x++) {
		if($fileTMSCurrentTeam != $x) echo '<option value="'.$x.'">'.$fileTMSName[$x].'</option>';
	}
	echo '</select><br>';
	
	// All Team Infos Generated!
	for($x=0;$x<count($fileTMSName);$x++) {
		echo '<div id="team'.$x.'" style="display:none;">';
		if(isset($fileROSName[$x]) && $fileTMSCurrentTeam != $x) {
			// Roster Box - Current Team
			echo '<div style="clear:both; float:left; margin-right:10px;"><b>'.$db_membre_trade[18].'</b><br>';
			echo '<div style="border:1px solid #000000; width:150px; height:100px; overflow-x:scroll; overflow-x:hidden;">';
			if(isset($fileROSName[$x])) {
				$color = 4;
				$i = 0;
				foreach ($fileROSName[$x] as $key => $val) {
					if($color == 3) $color = 4;
					else $color = 3;
					echo '<div class="hover'.$color.'" id="awayPlayerT'.$x.'S'.$i.'" onclick="selectPlayer(\'awayPlayerT'.$x.'S'.$i.'\');">';
					echo $val; // $key, key for the other arrays, top keep players with his stats
					echo '</div>';
					$i++;
				}
			}
			echo '</div></div>';
			
			// Prospect Box - Current Team
			echo '<div style="float:left; margin-right:10px;"><b>'.$db_membre_trade[19].'</b><br>';
			echo '<div style="border:1px solid #000000; width:150px; height:100px; overflow-x:scroll; overflow-x:hidden;">';
			if(isset($filePCTName[$x])) {
				$color = 4;
				$i = 0;
				for($z=0;$z<count($filePCTName[$x]);$z++) {
					if($color == 3) $color = 4;
					else $color = 3;
					echo '<div class="hover'.$color.'" id="awayProspectT'.$x.'S'.$i.'" onclick="selectPlayer(\'awayProspectT'.$x.'S'.$i.'\');">';
					echo $filePCTName[$x][$z];
					echo '</div>';
					$i++;
				}
			}
			echo '</div></div>';
			
			// Draft Picks Box - Current Team
			echo '<div style="float:left; margin-right:10px;"><b>'.$db_membre_trade[20].'</b><br>';
			echo '<div style="border:1px solid #000000; width:150px; height:100px; overflow-x:scroll; overflow-x:hidden;">';
			if(isset($fileDPKYear[$x])) {
				$color = 4;
				$i = 0;
				for($z=0;$z<count($fileDPKYear[$x]);$z++) {
					if($fileDPKNumber[$x][$z] <= $league_TradeToolDraftRounds) {
						if($color == 3) $color = 4;
						else $color = 3;
						$draftYear = $league_TradeToolDraft + $fileDPKYear[$x][$z];
						echo '<div class="hover'.$color.'" id="awayDraftT'.$x.'S'.$i.'" onclick="selectPlayer(\'awayDraftT'.$x.'S'.$i.'\');">';
						//echo 'Year '.$fileDPKYear[$x][$z].': ';
						echo $fileTMSAbbr[$fileDPKTeam[$x][$z]].' ';
						echo $draftYear.' ';
						echo 'Rnd '.$fileDPKNumber[$x][$z];
						echo '</div>';
						$i++;
					}
				}
			}
			echo '</div></div>';
			// Cash Box - Current Team
			echo '<div style="float:left; margin-right:10px;"><b>'.$db_membre_trade[21].'</b><br>';
			echo '<input class="ligne" type="number" value="0" id="awayCashT'.$x.'">';
			echo '</div>';
		}
		echo '</div>';
	}
	echo '<input style="margin-top:15px;" class="button" type="button" value="'.$db_membre_all_langue[1].'" onclick="save();">';
}
?>