<?php
if($setupStep == 0) {
	echo '<div style="text-align:center;">';
	echo 'Bienvenue à l\'assitant d\'installation du GM Editor en ligne.<br>';
	echo 'Welcome to the installation of the Online GM Editor.<br>';
	echo '<br>Pour une mise à niveau, veuillez conserver votre fichier config.php ou config2.php, à la même place qu\'à l\'habitude.<br>';
	echo 'For an update, you just need your file config.php or config2.php, in the same place as usual.<br>';
	echo '<br><a href="?step=1&lang=fr">Français</a> / <a href="?step=1&lang=en">English</a> ';
	echo '</div>';
}
if($setupStep == 1) {
	if(file_exists('../config.php')) {
		$setupConfigFound = 1;
		include '../config.php';
	}
	if(file_exists('../config2.php')) {
		$setupConfigFound = 2;
		include '../config2.php';
	}
	if(file_exists('../config4.php')) {
		$setupConfigFound = 4;
		include '../config4.php';
	}
}
if($setupStep == 2 && isset($_POST['setupSQLServer'])) {
	extract($_POST,EXTR_OVERWRITE);
	$db_server = $setupSQLServer;
	$db_name = $setupSQLName;
	$db_table = $setupSQLTable;
	$db_username = $setupSQLUser;
	$db_password = $setupSQLPass;
	include 'mysqli.php';
	if(!isset($setupSQLLoginError)) {
		// Create config4.php
		$setupConfigFile = fopen('../config4.php', "w");
		$setupConfigFileTxt = "<?php\n";
		$setupConfigFileTxt .= "$"."db_server = '$db_server';\n";
		$setupConfigFileTxt .= "$"."db_name = '$db_name';\n";
		$setupConfigFileTxt .= "$"."db_table = '$db_table';\n";
		$setupConfigFileTxt .= "$"."db_username = '$db_username';\n";
		$setupConfigFileTxt .= "$"."db_password = '$db_password';\n";
		$setupConfigFileTxt .= "?>";
		fwrite($setupConfigFile, $setupConfigFileTxt);
		fclose($setupConfigFile);
		// Check for config4.php exist
		if(file_exists('../config4.php')) {
			$setupConfigFileCreated = 1;
			// Check for database name exist
			$query = mysqli_query($con, "SELECT * FROM `information_schema`.`SCHEMATA` WHERE `SCHEMA_NAME` = '$setupSQLName'");
			if(mysqli_num_rows($query) > 0) {
				// Check for table name exist
				$query = mysqli_query($con, "SELECT * FROM `information_schema`.`TABLES` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = '$db_table'");
				if(mysqli_num_rows($query) == 0) {
					// Create user list table (New to v4)
					$sql = "CREATE TABLE `$db_table` (
					`INT` int( 11 ) NOT NULL AUTO_INCREMENT ,
					`EQUIPE` text NOT NULL ,
					`EQUIPESIM` text NOT NULL ,
					`DB_USER` text NOT NULL ,
					`USER` text NOT NULL ,
					`PASS` text NOT NULL ,
					`LAST` datetime NOT NULL ,
					`IP` text NOT NULL ,
					`LANGUE` text NOT NULL ,
					`SEND` text NOT NULL ,
					`HISTORY_TRADE_MANAGER` BOOLEAN NOT NULL ,
					`TRADE_MANAGER` BOOLEAN NOT NULL,
					`UFA_SIGN_MANAGER` BOOLEAN NOT NULL,
					`UFA_LIST_MANAGER` BOOLEAN NOT NULL,
					`EMAIL` text NOT NULL,
					`NOTIFICATION` BOOLEAN NOT NULL DEFAULT TRUE,
					`RANK` varchar(2) NOT NULL,
					`LNS_DATE` datetime NOT NULL,
					`LNS_FILE` text NOT NULL,
					`TMS_LINEUP` text NOT NULL,
					PRIMARY KEY ( `INT` )
					) DEFAULT CHARSET=utf8;";
					$query = mysqli_query($con, $sql);
				}
				else {
					// Teams List table already exist
					$setupTeamsListTableExist = 1;
					
					// Look for an upgrade from v1-v2-v3 to v4
					$query = mysqli_query($con, "SELECT * FROM `information_schema`.`COLUMNS` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = '$db_table' AND `COLUMN_NAME` = 'HISTORY_TRADE_MANAGER'");
					if(mysqli_num_rows($query) == 0) {
						$sql = "ALTER TABLE `$db_table` ADD `HISTORY_TRADE_MANAGER` BOOLEAN NOT NULL";
						$query = mysqli_query($con, $sql);
					}
					$query = mysqli_query($con, "SELECT * FROM `information_schema`.`COLUMNS` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = '$db_table' AND `COLUMN_NAME` = 'TRADE_MANAGER'");
					if(mysqli_num_rows($query) == 0) {
						$sql = "ALTER TABLE `$db_table` ADD `TRADE_MANAGER` BOOLEAN NOT NULL";
						$query = mysqli_query($con, $sql);
					}
					$query = mysqli_query($con, "SELECT * FROM `information_schema`.`COLUMNS` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = '$db_table' AND `COLUMN_NAME` = 'UFA_SIGN_MANAGER'");
					if(mysqli_num_rows($query) == 0) {
						$sql = "ALTER TABLE `$db_table` ADD `UFA_SIGN_MANAGER` BOOLEAN NOT NULL";
						$query = mysqli_query($con, $sql);
					}
					$query = mysqli_query($con, "SELECT * FROM `information_schema`.`COLUMNS` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = '$db_table' AND `COLUMN_NAME` = 'UFA_LIST_MANAGER'");
					if(mysqli_num_rows($query) == 0) {
						$sql = "ALTER TABLE `$db_table` ADD `UFA_LIST_MANAGER` BOOLEAN NOT NULL";
						$query = mysqli_query($con, $sql);
					}
					$query = mysqli_query($con, "SELECT * FROM `information_schema`.`COLUMNS` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = '$db_table' AND `COLUMN_NAME` = 'EMAIL'");
					if(mysqli_num_rows($query) == 0) {
						$sql = "ALTER TABLE `$db_table` ADD `EMAIL` text NOT NULL";
						$query = mysqli_query($con, $sql);
					}
					$query = mysqli_query($con, "SELECT * FROM `information_schema`.`COLUMNS` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = '$db_table' AND `COLUMN_NAME` = 'NOTIFICATION'");
					if(mysqli_num_rows($query) == 0) {
						$sql = "ALTER TABLE `$db_table` ADD `NOTIFICATION` BOOLEAN NOT NULL DEFAULT TRUE";
						$query = mysqli_query($con, $sql);
					}
					$query = mysqli_query($con, "SELECT * FROM `information_schema`.`COLUMNS` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = '$db_table' AND `COLUMN_NAME` = 'RANK'");
					if(mysqli_num_rows($query) == 0) {
						$sql = "ALTER TABLE `$db_table` ADD `RANK` varchar(2) NOT NULL";
						$query = mysqli_query($con, $sql);
					}
					$query = mysqli_query($con, "SELECT * FROM `information_schema`.`COLUMNS` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = '$db_table' AND `COLUMN_NAME` = 'LNS_DATE'");
					if(mysqli_num_rows($query) == 0) {
						$sql = "ALTER TABLE `$db_table` ADD `LNS_DATE` datetime NOT NULL";
						$query = mysqli_query($con, $sql);
					}
					$query = mysqli_query($con, "SELECT * FROM `information_schema`.`COLUMNS` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = '$db_table' AND `COLUMN_NAME` = 'LNS_FILE'");
					if(mysqli_num_rows($query) == 0) {
						$sql = "ALTER TABLE `$db_table` ADD `LNS_FILE` text NOT NULL";
						$query = mysqli_query($con, $sql);
					}
					$query = mysqli_query($con, "SELECT * FROM `information_schema`.`COLUMNS` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = '$db_table' AND `COLUMN_NAME` = 'TMS_LINEUP'");
					if(mysqli_num_rows($query) == 0) {
						$sql = "ALTER TABLE `$db_table` ADD `TMS_LINEUP` text NOT NULL";
						$query = mysqli_query($con, $sql);
					}
				}
				
				// Look for the current version of the database name GMO_parameters from v3 to v4
				$query = mysqli_query($con, "SELECT * FROM `information_schema`.`TABLES` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = 'gmo_parameters'");
				if(mysqli_num_rows($query) > 0) {
					$sql = "SELECT `VALUE` FROM `gmo_parameters` WHERE `PARAM` = 'file_last_update' LIMIT 1";
					$query = mysqli_query($con, $sql);
					if($query && mysqli_num_rows($query) == 0) {
						// Rename the database table gmo_parameters from v3 to v4
						if("gmo_parameters" != $db_table."_parameters") {
							$sql = "ALTER TABLE `gmo_parameters` RENAME `".$db_table."_parameters`;";
							$query = mysqli_query($con, $sql);
						}
						// Rename the database table GMO_trade from v3 to v4
						$query = mysqli_query($con, "SELECT * FROM `information_schema`.`TABLES` WHERE `TABLE_SCHEMA` = '$db_name' AND `TABLE_NAME` = 'gmo_trade'");
						if(mysqli_num_rows($query) > 0 && "gmo_trade" != $db_table."_trade") {
							$sql = "ALTER TABLE `gmo_trade` RENAME `".$db_table."_trade`;";
							$query = mysqli_query($con, $sql);
						}
						// Rename the database table GMO_ufalist from v3 to v4
						$query = mysqli_query($con, "SELECT * FROM `information_schema`.`TABLES` WHERE `TABLE_SCHEMA` = '$db_name' AND `TABLE_NAME` = 'gmo_ufalist'");
						if(mysqli_num_rows($query) > 0 && "gmo_ufalist" != $db_table."_ufalist") {
							$sql = "ALTER TABLE `gmo_ufalist` RENAME `".$db_table."_ufalist`;";
							$query = mysqli_query($con, $sql);
						}
						// Rename the database table GMO_ufalistsend from v3 to v4
						$query = mysqli_query($con, "SELECT * FROM `information_schema`.`TABLES` WHERE `TABLE_SCHEMA` = '$db_name' AND `TABLE_NAME` = 'gmo_ufalistsend'");
						if(mysqli_num_rows($query) > 0 && "gmo_ufalistsend" != $db_table."_ufalistsend") {
							$sql = "ALTER TABLE `gmo_ufalistsend` RENAME `".$db_table."_ufalistsend`;";
							$query = mysqli_query($con, $sql);
						}
					}
				}
				
				// Create the table name GMO_parameters (New to v4)
				$query = mysqli_query($con, "SELECT * FROM `information_schema`.`TABLES` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = '".$db_table."_parameters'");
				if(mysqli_num_rows($query) == 0) {
					$sql = "CREATE TABLE `".$db_table."_parameters` (
						`PARAM` text NOT NULL ,
						`VALUE` text NOT NULL
						) DEFAULT CHARSET=utf8;";
					$query = mysqli_query($con, $sql);
				}
				else {
					// Keep the GMO_parameters from v3 or v4
					$sql = "SELECT `PARAM`, `VALUE` FROM `".$db_table."_parameters`";
					$query = mysqli_query($con, $sql) or die(mysqli_error($con));
					while($data = mysqli_fetch_array($query)) {
						if($data['PARAM'] != "FHLSimVersion" && $data['PARAM'] != "file_folder_temp_lines" && $data['PARAM'] != "league_shootoutLock") {
							$paramP[] = $data['PARAM'];
							$paramV[] = $data['VALUE'];
						}
					}
				}
				
				$query = mysqli_query($con, "SELECT * FROM `information_schema`.`TABLES` WHERE `TABLE_SCHEMA` = '$setupSQLName' AND `TABLE_NAME` = '".$db_table."_parameters'");
				if(mysqli_num_rows($query) > 0) {
					// Empty the GMO_parameters table
					$sql = "TRUNCATE TABLE `".$db_table."_parameters`";
					$query = mysqli_query($con, $sql);
					
					// Temp var for parameters
					$tmp_SessionName = "GMO";
					$tmp_file_folder = "";
					$tmp_file_folder_lines = "lines/";
					$tmp_league_name = "YOUR LEAGUE";
					$tmp_league_langue = "en";
					$tmp_league_cap = "0";
					$tmp_league_capType = "0";
					$tmp_league_GameInProPayroll = "0";
					$tmp_league_players = "0";
					$tmp_league_MaxPlayers = "0";
					$tmp_league_FarmMaxOV = "0";
					$tmp_league_AgeExemptFarmMaxOV = "0";
					$tmp_league_FarmMaxAge = "0";
					$tmp_league_GameInProWaivers = "0";
					$tmp_league_AgeExemptWaivers = "0";
					$tmp_league_OVSkatersWaivers = "0";
					$tmp_league_OVGoaliesWaivers = "0";
					$tmp_league_SalaryWaivers = "0";
					$tmp_league_gmeditor = "1";
					$tmp_colorTxtTtitle = "#FFFF00";
					$tmp_colorBackground = "#204080";
					$tmp_colorBorder = "#00A7FE";
					$tmp_TimeZone = "America/Toronto";
					$tmp_league_TradeToolStatus = "0";
					$tmp_league_TradeToolDraft = "1";
					$tmp_league_TradeToolDraftRounds = "9";
					$tmp_league_UFAToolStatus = "0";
					$tmp_file_last_update = "0000-00-00 00:00:00";
					
					// Keep previewsly saved parameters					
					if(file_exists('../config.php')) {
						// Updating the GMO_parameters from v1-v2 to v4
						include '../config.php';
						if(isset($SessionName)) $tmp_SessionName = $SessionName;
						if(isset($file_folder)) $tmp_file_folder = $file_folder;
						if(isset($file_folder_lines)) $tmp_file_folder_lines = $file_folder_lines;
						if(isset($league_name)) $tmp_league_name = $league_name;
						if(isset($league_langue)) $tmp_league_langue = $league_langue;
						if(isset($league_cap)) $tmp_league_cap = $league_cap;
						if(isset($league_capType)) $tmp_league_capType = $league_capType;
						if(isset($league_GameInProPayroll)) $tmp_league_GameInProPayroll = $league_GameInProPayroll;
						if(isset($league_players)) {
							if($league_players > 1) $tmp_league_players = 1;
							else $tmp_league_players = $league_players;
						}
						if(isset($league_MaxPlayers)) $tmp_league_MaxPlayers = $league_MaxPlayers;
						if(isset($league_GameInProWaivers)) $tmp_league_GameInProWaivers = $league_GameInProWaivers;
						if(isset($league_AgeExemptWaivers)) $tmp_league_AgeExemptWaivers = $league_AgeExemptWaivers;
						if(isset($league_gmeditor)) $tmp_league_gmeditor = $league_gmeditor;
						if(isset($colorTxtTtitle)) $tmp_colorTxtTtitle = $colorTxtTtitle;
						if(isset($colorBackground)) $tmp_colorBackground = $colorBackground;
						if(isset($colorBorder)) $tmp_colorBorder = $colorBorder;
						$setupStep2ParamUpdated = 1;
					}
					if(isset($paramP)) {
						// Updating the GMO_parameters from v3 to v4
						for($i = 0; $i < count($paramP); $i++) {
							if($paramP[$i] == "SessionName") $tmp_SessionName = $paramV[$i];
							if($paramP[$i] == "file_folder") $tmp_file_folder = $paramV[$i];
							if($paramP[$i] == "file_folder_lines") $tmp_file_folder_lines = $paramV[$i];
							if($paramP[$i] == "league_name") $tmp_league_name = $paramV[$i];
							if($paramP[$i] == "league_langue") $tmp_league_langue = $paramV[$i];
							if($paramP[$i] == "league_cap") $tmp_league_cap = $paramV[$i];
							if($paramP[$i] == "league_capType") $tmp_league_capType = $paramV[$i];
							if($paramP[$i] == "league_GameInProPayroll") $tmp_league_GameInProPayroll = $paramV[$i];
							if($paramP[$i] == "league_players") {
								if($paramV[$i] > 1) $tmp_league_players = "1";
								else $tmp_league_players = $paramV[$i];
							}
							if($paramP[$i] == "league_MaxPlayers") $tmp_league_MaxPlayers = $paramV[$i];
							if($paramP[$i] == "league_FarmMaxOV") $tmp_league_FarmMaxOV = $paramV[$i];
							if($paramP[$i] == "league_AgeExemptFarmMaxOV") $tmp_league_AgeExemptFarmMaxOV = $paramV[$i];
							if($paramP[$i] == "league_FarmMaxAge") $tmp_league_FarmMaxAge = $paramV[$i];
							if($paramP[$i] == "league_GameInProWaivers") $tmp_league_GameInProWaivers = $paramV[$i];
							if($paramP[$i] == "league_AgeExemptWaivers") $tmp_league_AgeExemptWaivers = $paramV[$i];
							if($paramP[$i] == "league_OVSkatersWaivers") $tmp_league_OVSkatersWaivers = $paramV[$i];
							if($paramP[$i] == "league_OVGoaliesWaivers") $tmp_league_OVGoaliesWaivers = $paramV[$i];
							if($paramP[$i] == "league_SalaryWaivers") $tmp_league_SalaryWaivers = $paramV[$i];
							if($paramP[$i] == "league_gmeditor") $tmp_league_gmeditor = $paramV[$i];
							if($paramP[$i] == "colorTxtTtitle") $tmp_colorTxtTtitle = $paramV[$i];
							if($paramP[$i] == "colorBackground") $tmp_colorBackground = $paramV[$i];
							if($paramP[$i] == "colorBorder") $tmp_colorBorder = $paramV[$i];
							if($paramP[$i] == "TimeZone") $tmp_TimeZone = $paramV[$i];
							if($paramP[$i] == "league_TradeToolStatus") $tmp_league_TradeToolStatus = $paramV[$i];
							if($paramP[$i] == "league_TradeToolDraft") $tmp_league_TradeToolDraft = $paramV[$i];
							if($paramP[$i] == "league_TradeToolDraftRounds") $tmp_league_TradeToolDraftRounds = $paramV[$i];
							if($paramP[$i] == "league_UFAToolStatus") $tmp_league_UFAToolStatus = $paramV[$i];
							if($paramP[$i] == "file_last_update") $tmp_file_last_update = $paramV[$i];
							$setupStep2ParamUpdated = 1;
						}
					}
					
					// Insert new parameters
					$sql = "INSERT INTO `".$db_table."_parameters` (`PARAM`, `VALUE`) VALUES 
					('SessionName', '$tmp_SessionName'), 
					('file_folder', '$tmp_file_folder'), 
					('file_folder_lines', '$tmp_file_folder_lines'), 
					('league_name', '$tmp_league_name'), 
					('league_langue', '$tmp_league_langue'), 
					('league_cap', '$tmp_league_cap'), 
					('league_capType', '$tmp_league_capType'), 
					('league_GameInProPayroll', '$tmp_league_GameInProPayroll'), 
					('league_players', '$tmp_league_players'), 
					('league_MaxPlayers', '$tmp_league_MaxPlayers'), 
					('league_FarmMaxOV', '$tmp_league_FarmMaxOV'), 
					('league_AgeExemptFarmMaxOV', '$tmp_league_AgeExemptFarmMaxOV'),
					('league_FarmMaxAge', '$tmp_league_FarmMaxAge'),
					('league_GameInProWaivers', '$tmp_league_GameInProWaivers'), 
					('league_AgeExemptWaivers', '$tmp_league_AgeExemptWaivers'), 
					('league_OVSkatersWaivers', '$tmp_league_OVSkatersWaivers'), 
					('league_OVGoaliesWaivers', '$tmp_league_OVGoaliesWaivers'), 
					('league_SalaryWaivers', '$tmp_league_SalaryWaivers'), 
					('league_gmeditor', '$tmp_league_gmeditor'), 
					('colorTxtTtitle', '$tmp_colorTxtTtitle'), 
					('colorBackground', '$tmp_colorBackground'), 
					('colorBorder', '$tmp_colorBorder'),
					('TimeZone', '$tmp_TimeZone'),
					('league_TradeToolStatus', '$tmp_league_TradeToolStatus'), 
					('league_TradeToolDraft', '$tmp_league_TradeToolDraft'), 
					('league_TradeToolDraftRounds', '$tmp_league_TradeToolDraftRounds'), 
					('league_UFAToolStatus', '$tmp_league_UFAToolStatus'), 
					('file_last_update', '$tmp_file_last_update')
					;";
					$query = mysqli_query($con, $sql);
					$query = mysqli_query($con, "SELECT * FROM `".$db_table."_parameters`");
					if(mysqli_num_rows($query) > 0) {
						$setupStep2TableCreated = 1;
						$query = mysqli_query($con, "SELECT * FROM `$db_table` WHERE EQUIPE != 'ADMIN'");
						if(mysqli_num_rows($query) > 0) {
							$setupStep2TeamsListExist = mysqli_num_rows($query);
						}
					}
					else {
						// Can't insert parameters in GMO_parameters table
						$setupSQLParamTableError = 2;
						$setupStep = $setupStep - 1;
					}
				}
				else {
					// Can't create the table GMO_parameters
					$setupSQLParamTableError = 1;
					$setupStep = $setupStep - 1;
				}
			}
			else {
				// Database name was not found
				$setupSQLNameError = 1;
				$setupStep = $setupStep - 1;
			}
		}
		else {
			// config4.php was not found
			$setupConfigFileCreated = 0;
			$setupStep = $setupStep - 1;
		}
	}
	else {
		// mySQL Login Error
		$setupStep1Error = 1;
		$setupStep = $setupStep - 1;
	}
	mysqli_close($con);
}
else {
	if($setupStep == 2 && !isset($_POST['setupSQLServer'])) {
		$setupBad = 1;
		$setupStep = 0;
	}
}

if($setupStep == 3) {
	include '../config4.php';
	include 'mysqli.php';
	if(!isset($_POST['setupSkip']) && isset($_FILES['userfile']) && is_uploaded_file($_FILES['userfile']['tmp_name'])) {
		$handle = fopen ($_FILES['userfile']['tmp_name'], "r");
		$contents = "";
		while(!feof($handle)) {
			$contents .= fread($handle, 8192);
		}
		fclose ($handle);
		$file_tms_get = bin2hex($contents);
		$j = 0;
		$i = 0;
		while($i != 100){
			$gmequipe2[$i] = substr($file_tms_get, $j, 20);
			$strLength = strlen($gmequipe2[$i]);
			$returnVal = '';
			for($k=0; $k<$strLength; $k += 2) {
				$dec_val = hexdec(substr($gmequipe2[$i], $k, 2));
				$returnVal .= chr($dec_val);
			}
			$gmequipe[$i] = trim($returnVal);
			$erreur = substr($file_tms_get, $j+506, 2);
			if((hexdec($erreur)>="32") && (hexdec($erreur)<="126")) $j = $j + 506;
			else $j = $j + 508;
			$i++;
		}
		if(count($gmequipe) > 0) {
			// Creating Team Accounts
			$sql = "DELETE FROM `$db_table` WHERE `EQUIPE` != 'ADMIN'"; 
			$query = mysqli_query($con, $sql) or die(mysqli_error($con));
			$k = 0;
			for($i=0; $i<count($gmequipe); $i++) {
				if($gmequipe[$i] != '') {
					$capusername = strtoupper($gmequipe[$i]);
					$gmequipe[$i] = mysqli_real_escape_string($con, $gmequipe[$i]);
					$capusername = mysqli_real_escape_string($con, $capusername);
					
					$sql = "INSERT INTO `$db_table` (
					`EQUIPE`,
					`EQUIPESIM`,
					`DB_USER`, 
					`USER`,
					`PASS`,
					`LANGUE`, 
					`LAST`,
					`IP`,
					`SEND`,
					`HISTORY_TRADE_MANAGER`,
					`TRADE_MANAGER`,
					`UFA_SIGN_MANAGER`,
					`UFA_LIST_MANAGER`,
					`EMAIL`,
					`NOTIFICATION`,
					`RANK`,
					`LNS_DATE`,
					`LNS_FILE`,
					`TMS_LINEUP`
					) VALUES(
					'$gmequipe[$i]',
					'$gmequipe[$i]',
					'',
					'$capusername',
					'none',
					'$setupLang',
					'0000-00-00 00:00:00',
					'',
					'',
					'0',
					'0',
					'0',
					'0',
					'',
					'1',
					'',
					'0000-00-00 00:00:00',
					'',
					''
					);";
					$query = mysqli_query($con, $sql) or die(mysqli_error($con));
					$k++;
				}
			}
			$setupStep3AddTeams = 1;
		}
		else {
			// No team found in .tms
			$setupStep3TMSError = 1;
			$setupStep = $setupStep - 1;
		}
	}
	if($setupStep == 3) {
		$query = mysqli_query($con, "SELECT `USER` FROM `$db_table` WHERE `EQUIPE` != 'ADMIN'");
		if(mysqli_num_rows($query) > 0) {
			$setupStep3TeamsNumber = mysqli_num_rows($query);
		}
		$query = mysqli_query($con, "SELECT `USER` FROM `$db_table` WHERE `EQUIPE` = 'ADMIN'");
		if(mysqli_num_rows($query) > 0) {
			$setupStep3AdminUser = '';
			while($data = mysqli_fetch_array($query)) {
				if($setupStep3AdminUser != '') $setupStep3AdminUser .= ' - ';
				$setupStep3AdminUser .= $data['USER'];
			}
		}
		else {
			// Creating the admin account
			$admin_pass = md5('admin');
			$sql = "INSERT INTO `$db_table` (
			`EQUIPE`,
			`EQUIPESIM`,
			`DB_USER`, 
			`USER`,
			`PASS`,
			`LANGUE`, 
			`LAST`,
			`IP`,
			`SEND`,
			`HISTORY_TRADE_MANAGER`,
			`TRADE_MANAGER`,
			`UFA_SIGN_MANAGER`,
			`UFA_LIST_MANAGER`,
			`EMAIL`,
			`NOTIFICATION`,
			`RANK`,
			`LNS_DATE`,
			`LNS_FILE`,
			`TMS_LINEUP`
			) VALUES(
			'ADMIN',
			'ADMIN',
			'',
			'ADMIN',
			'$admin_pass',
			'$setupLang',
			'0000-00-00 00:00:00',
			'',
			'',
			'0',
			'0',
			'0',
			'0',
			'',
			'1',
			'',
			'0000-00-00 00:00:00',
			'',
			''
			)"; 
			$query = mysqli_query($con, $sql) or die(mysqli_error($con));
			$setupStep3AdminCreated = 1;
		}
		mysqli_close($con);
	}
}


if($setupStep == 0) {
	if(isset($setupBad) && $setupBad == 1) echo '<a href="?">'.$langSetupBad.'</a><br>';
}

$tmpSetupStep = $setupStep + 1;
echo '<form method="post" enctype="multipart/form-data" action="index.php?step='.$tmpSetupStep.'&lang='.$setupLang .'">';

if($setupStep == 1) {
	if(isset($setupSQLParamTableError) && $setupSQLParamTableError == 2) echo 'Can\'t create new parameters in database!<br>';
	if(isset($setupSQLNameError) && $setupSQLNameError == 1) echo $langSetupDBNameError.'<br>';
	if(isset($setupConfigFileCreated) && $setupConfigFileCreated == 0) echo $langSetupConfig2Error.'<br>';
	if(isset($setupStep1Error) && $setupStep1Error == 1) echo $langSetupDBLoginError.'<br>';
	if(isset($setupConfigFound) && $setupConfigFound == 1) echo $langSetupConfigFound.'<br>';
	if(isset($setupConfigFound) && $setupConfigFound == 2) echo $langSetupConfigFound2.'<br>';
	if(isset($setupConfigFound) && $setupConfigFound == 4) echo $langSetupConfigFound4.'<br>';
	echo '<br><br><span style="font-weight:bold;">'.$langSetupSQLCreating.'</span><br>';
	echo ''.$langSetupSQLServer.'<br>';
	$tmpSetupSQLServer = 'localhost';
	if(isset($db_server)) $tmpSetupSQLServer = $db_server;
	echo '<input placeholder="mySQL Server" name="setupSQLServer" style="width:150px;" value="'.$tmpSetupSQLServer.'" required><br>';
	echo '<br>'.$langSetupSQLDBName.'<br>';
	$tmpSetupSQLName = '';
	if(isset($db_name)) $tmpSetupSQLName = $db_name;
	echo '<input placeholder="mySQL Database Name" name="setupSQLName" style="width:150px;" value="'.$tmpSetupSQLName.'" required><br>';
	echo '<br>'.$langSetupSQLDBTable.'<br>';
	$tmpSetupSQLTable = 'gmo';
	if(isset($db_table)) $tmpSetupSQLTable = $db_table;
	echo '<input placeholder="mySQL Table Name" name="setupSQLTable" style="width:150px;" value="'.$tmpSetupSQLTable.'" required><br>';
	echo '<br>'.$langSetupSQLUser.'<br>';
	$tmpSetupSQLUsername = '';
	if(isset($db_username)) $tmpSetupSQLUsername = $db_username;
	echo '<input placeholder="mySQL Username" name="setupSQLUser" style="width:150px;" value="'.$tmpSetupSQLUsername.'" required><br>';
	echo '<br>'.$langSetupSQLPass.'<br>';
	$tmpSetupSQLPassword = '';
	if(isset($db_password)) $tmpSetupSQLPassword = $db_password;
	echo '<input placeholder="mySQL Password" name="setupSQLPass" style="width:150px;" value="'.$tmpSetupSQLPassword.'"><br>';
	echo '<br><input type="submit" value="'.$langSetupNext.'" name="setupNext">';
}

if($setupStep == 2) {
	if(isset($setupConfigFileCreated) && $setupConfigFileCreated == 1) echo $langSetupConfig2Created.'<br>';
	if(isset($setupStep2TableCreated) && $setupStep2TableCreated == 1) echo $langSetupDBParamCreated.'<br>';
	if(isset($setupStep2ParamUpdated) && $setupStep2ParamUpdated == 1) echo $langSetupDBParamTransfer.'<br>';
	
	if(isset($setupStep2TeamsListExist) && $setupStep2TeamsListExist != 0) echo '<br>'.$langSetupDBTeamsFound.' ('.$setupStep2TeamsListExist.') <input name="setupSkip" type="submit" value="'.$langSetupSkip.'" formnovalidate><br>';
	
	echo '<br><br><span style="font-weight:bold;">'.$langSetupTMSTitle.'</span><br>';
	if(isset($setupStep2TeamsListExist) && $setupStep2TeamsListExist != 0) echo $langSetupTMSTitle2.'<br>';
	echo '<br><input type="file" name="userfile" accept=".tms" required><br>';
	echo '<br><input type="submit" value="'.$langSetupNext.'" name="setupNext">';
}

if($setupStep == 3) {
	if(isset($setupStep3AdminCreated) && $setupStep3AdminCreated == 1) echo $langSetupDBTeamsAdminNew.'<br>';
	if(isset($setupStep3AdminUser) && $setupStep3AdminUser != '') echo $langSetupDBTeamsAdmin.' '.$setupStep3AdminUser.'.<br>';
	if(isset($setupStep3TeamsNumber) && isset($setupStep3AddTeams) && $setupStep3AddTeams == 1) echo $langSetupTMSCreated.' '.$setupStep3TeamsNumber.'.<br>';
	if(isset($setupStep3TeamsNumber) && $setupStep3TeamsNumber != 0) echo $langSetupTMSListed.' '.$setupStep3TeamsNumber.'.<br>';
	
	echo '<br>'.$langSetupCompleted.'<br>';
	echo '<br>'.$langSetupCompletedButton.' <input type="submit" value="'.$langSetupConn.'" name="setupLogin"><br>';
	echo '<br><a href="?">'.$langSetupCompletedRestart.'</a><br>';
	
	include '../config4.php';
	include 'mysqli.php';
	
	echo '<table style="border:1px solid #000000; float:left; margin-right:15px; margin-top:15px;">';
	echo '<tr><td style="border:1px solid #000000; font-weight:bold;">FHLsim Team List</td><td style="border:1px solid #000000; font-weight:bold;">Valid password</td></tr>';
	$sql = "SELECT `EQUIPESIM`, `PASS` FROM `$db_table` WHERE `EQUIPE`!='ADMIN'";
	$query = mysqli_query($con, $sql) or die(mysqli_error($con));
	while($data = mysqli_fetch_array($query)) {
		$tmpPass = 'No';
		if($data['PASS'] != 'none') $tmpPass = 'Yes';
		echo '<tr><td style="border:1px solid #000000;">'.$data['EQUIPESIM'].'</td><td style="border:1px solid #000000;">'.$tmpPass.'</td></tr>';
	}
	echo '</table>';
	echo '<table style="border:1px solid #000000; float:left; margin-top:15px;">';
	echo '<tr><td style="border:1px solid #000000; font-weight:bold;">Param</td><td style="border:1px solid #000000; font-weight:bold;">Value</td></tr>';
	$sql = "SELECT `PARAM`, `VALUE` FROM `".$db_table."_parameters`";
	$query = mysqli_query($con, $sql) or die(mysqli_error($con));
	while($data = mysqli_fetch_array($query)) {
		echo '<tr><td style="border:1px solid #000000;">'.$data['PARAM'].'</td><td style="border:1px solid #000000;">'.$data['VALUE'].'</td></tr>';
	}
	echo '</table>';
	
	echo '<div style="clear:both;"></div>';
	
	mysqli_close($con);
}



echo '</form>';

?>