<?php
$equipesim = $_SESSION['equipesim'];

function moneyFormat($money,$lang) {
	if($lang == "fr") $money2 = number_format($money, 0, ',', ' ')." $";
	if($lang == "en") $money2 = "$".number_format($money, 0, '.', ',');
	return $money2;
}

include 'login/mysqli.php';

// Find the last UFA list entered
include 'login/mysqli.php';
$sql = "SELECT * FROM `".$db_table."_ufalist` WHERE `LEAGUE` = (SELECT `LEAGUE` from `".$db_table."_ufalist` ORDER BY `INT` desc LIMIT 1)";
$query = mysqli_query($con, $sql) or die(mysqli_error($con));
$i = 0;
if($query){
	while($data = mysqli_fetch_array($query)) {
		$dbLEAGUE = $data['LEAGUE'];
	}
}

if(isset($dbLEAGUE)) {
	//  Get all player status signed/pending/refused
	$sql = "SELECT * FROM `".$db_table."_ufalistsend` WHERE `LEAGUE` = '$dbLEAGUE' AND `TEAM` = '$equipesim'";
	$query = mysqli_query($con, $sql) or die(mysqli_error($con));
	if(mysqli_num_rows($query) != 0) {
		$i = 0;
		while($data = mysqli_fetch_array($query)) {
			$dbSignID[$i] = $data['ID'];
			$dbSignPLAYERID[$i] = $data['PLAYERID'];
			$dbSignCONTRACT[$i] = $data['CONTRACT'];
			if($data['SALARY'] != "") $dbSignSALARY[$i] = moneyFormat($data['SALARY'], $league_langue);
			else $dbSignSALARY[$i] = "";
			$dbSignOTHER[$i] = $data['OTHER'];
			$dbSignDATE[$i] = $data['DATE'];
			$dbSignAPPR[$i] = $data['APPR'];
			$dbSignDATEAPPR[$i] = $data['DATE_APPR'];
			$i++;
		}
	}
	
	// Get all data from available UFA player
	$sql = "SELECT * FROM `".$db_table."_ufalist` WHERE `DISABLED` = '0' AND `LEAGUE` = '$dbLEAGUE' AND `TEAM` = '' AND (`NTC` = '' OR (`NTC` = '1' AND `PROTECTED` LIKE '%$equipesim%'))";
	$query = mysqli_query($con, $sql) or die(mysqli_error($con));
	if(mysqli_num_rows($query) != 0) {
		
		$i = 0;
		while($data = mysqli_fetch_array($query)) {
			$dbINT[$i] = $data['INT'];
			$dbNAME[$i] = $data['NAME'];
			$dbBIRT[$i] = $data['BIRT'];
			if($data['POSI'] == "00") $dbPOSI[$i] = "C";
			if($data['POSI'] == "01") $dbPOSI[$i] = "LW";
			if($data['POSI'] == "02") $dbPOSI[$i] = "RW";
			if($data['POSI'] == "03") $dbPOSI[$i] = "D";
			if($data['POSI'] == "04") $dbPOSI[$i] = "G";
			$dbNUMB[$i] = $data['NUMB'];
			if($data['HAND'] == "00") $dbHAND[$i] = "L";
			if($data['HAND'] == "01") $dbHAND[$i] = "R";
			$dbHEIG[$i] = $data['HEIG'];
			$height1 = floor($dbHEIG[$i] / 12);
			$height2 = $dbHEIG[$i] - ($height1 * 12);
			$dbHEIG[$i] = $height1.'\''.$height2.'"';
			$dbWEIG[$i] = $data['WEIG'];
			$dbAGES[$i] = $data['AGES'];
			if($data['COND'] == "00") $dbCOND[$i] = "FARM";
			if($data['COND'] == "64") $dbCOND[$i] = "PRO"; // Scratch
			if($data['COND'] == "c8") $dbCOND[$i] = "PRO";
			if(!isset($dbCOND[$i])) $dbCOND[$i] = "PRO";
			$dbINTE[$i] = $data['INTE'];
			$dbSPEE[$i] = $data['SPEE'];
			$dbSTRE[$i] = $data['STRE'];
			$dbENDU[$i] = $data['ENDU'];
			$dbDURA[$i] = $data['DURA'];
			$dbDISC[$i] = $data['DISC'];
			$dbSKAT[$i] = $data['SKAT'];
			$dbPASS[$i] = $data['PASS'];
			$dbPKCT[$i] = $data['PKCT'];
			$dbDEFS[$i] = $data['DEFS'];
			$dbOFFS[$i] = $data['OFFS'];
			$dbEXPE[$i] = $data['EXPE'];
			$dbLEAD[$i] = $data['LEAD'];
			$dbOVER[$i] = $data['OVER'];
			$dbSALA[$i] = $data['SALA'];
			if($data['SALA'] != "") $dbSALA2[$i] = moneyFormat($data['SALA'], $league_langue);
			else $dbSALA2[$i] = "";
			$dbMOVE[$i] = $data['NTC'];
			$dbLAST[$i] = $data['LAST_TEAM'];
			$dbID[$i] = $i;
			
			// Search for player status
			if(isset($dbSignPLAYERID)) {
				for($z=0;$z<count($dbSignPLAYERID);$z++) {
					if($dbINT[$i] == $dbSignPLAYERID[$z]) {
						$dbStatus[$i] = $z;
						//echo $dbNAME[$i].'<br>';
						break 1;
					}
				}
			}
			$i++;
		}
	}
}

mysqli_close($con);
?>
<div style="position:relative;">
<div id="showPlayer" style="display:none; z-index:2; position:fixed; width:100%; height:100%; background-color:rgba(255,255,255,0.7);">
	<div style="background-color:#ffffff; border:1px solid <?php echo $colorBorder; ?>; margin-top:50px; width:350px; margin-left:auto; margin-right:auto;">
		<div style="background-color:<?php echo $colorBackground; ?>; width:100%; height:40px;">
			<div style="width:100%; text-align:right;">
				<div style="text-align:right; position:relative; left:-10px; top:3px;"><a style="color:<?php echo $colorTxtTtitle; ?>; font-size:28px;" href="javascript:hidePlayer();">X</a></div>
			</div>
			<div id="showPlayerName" style="position:relative; top:-28px; left:5px; width:300px; font-weight:bold; font-size:28px; color:<?php echo $colorTxtTtitle; ?>;">Signature</div>
		</div>
		<div style="padding:10px 10px 10px 10px; text-align:center;">
			<div style="float:left;"><?php echo $db_membre_UFA[33]; ?></div><input class="ligne" type="number" min="1" max="10" value="1" id="showPlayerContract" style="display:block; width:50px; float:right;">
			<div style="clear:both; float:left; margin-top:5px;"><?php echo $db_membre_UFA[34]; ?></div><input class="ligne" type="number" min="0" value="0" id="showPlayerSalary" style="display:block; width:100px; float:right; margin-top:5px;">
			<div style="clear:both; float:left; padding-top:5px;"><?php echo $db_membre_UFA[35]; ?></div><input id="showPlayerOther" type="text" value="" style="display:block; width:250px; float:right; margin-top:5px;">
			<div style="clear:both; padding-top:10px;"><input onclick="save();" type="button" value="<?php echo $db_membre_UFA[32]; ?>" style="padding:5px;"></div>
			<input type="hidden" id="showPlayerID" value="">
			<input type="hidden" id="showPlayerLEAGUE" value="<?php echo $dbLEAGUE; ?>">
			<input type="hidden" id="showPlayerTEAM" value="<?php echo $equipesim; ?>">
		</div>
	</div>
</div>

<?php

if(isset($dbINT)) {
	array_multisort($dbOVER, SORT_DESC, $dbNAME, SORT_ASC, $dbID);
	echo '<table class="table">';
	echo '<tr class="tr">';
	echo '<td>'.$db_membre_UFA[1].'</td>';
	echo '<td>'.$db_membre_UFA[23].'</td>';
	echo '<td>'.$db_membre_UFA[2].'</td>';
	echo '<td>'.$db_membre_UFA[3].'</td>';
	echo '<td>'.$db_membre_UFA[4].'</td>';
	echo '<td>'.$db_membre_UFA[5].'</td>';
	echo '<td>'.$db_membre_UFA[6].'</td>';
	echo '<td>'.$db_membre_UFA[7].'</td>';
	echo '<td>'.$db_membre_UFA[8].'</td>';
	echo '<td>'.$db_membre_UFA[9].'</td>';
	echo '<td>'.$db_membre_UFA[10].'</td>';
	echo '<td>'.$db_membre_UFA[11].'</td>';
	echo '<td>'.$db_membre_UFA[12].'</td>';
	echo '<td>'.$db_membre_UFA[13].'</td>';
	echo '<td>'.$db_membre_UFA[14].'</td>';
	echo '<td>'.$db_membre_UFA[15].'</td>';
	echo '<td>'.$db_membre_UFA[16].'</td>';
	echo '<td>'.$db_membre_UFA[17].'</td>';
	echo '<td>'.$db_membre_UFA[18].'</td>';
	echo '<td>'.$db_membre_UFA[19].'</td>';
	echo '<td>'.$db_membre_UFA[20].'</td>';
	echo '<td>'.$db_membre_UFA[21].'</td>';
	echo '<td>'.$db_membre_UFA[24].'</td>';
	echo '<td>'.$db_membre_UFA[22].'</td>';
	echo '<td>'.$db_membre_UFA[37].'</td>';
	echo '<td>'.$db_membre_UFA[42].'</td>';
	echo '</tr>';
	
	for($i=0;$i<count($dbINT);$i++) {
		if($i % 2 == 0) $color = 1;
		else $color = 2;
		if(isset($dbStatus[$dbID[$i]]) && $dbSignAPPR[$dbStatus[$dbID[$i]]] != 1) echo '<tr class="tr_content'.$color.'">';
		else echo '<tr class="tr_content'.$color.'" onclick="javascript:selectPlayer(\''.$dbINT[$dbID[$i]].'\');">';
		echo '<td id="name'.$dbINT[$dbID[$i]].'">'.$dbNAME[$i].'</td>';
		echo '<td style="text-align:left;">'.$dbBIRT[$dbID[$i]].'</td>';
		echo '<td style="text-align:right;">'.$dbPOSI[$dbID[$i]].'</td>';
		echo '<td style="text-align:right;">'.$dbNUMB[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbHAND[$dbID[$i]].'</td>';
		echo '<td style="text-align:left;">'.$dbHEIG[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbWEIG[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbAGES[$dbID[$i]].'</td>';
		echo '<td style="text-align:right;">'.$dbCOND[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbINTE[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbSPEE[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbSTRE[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbENDU[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbDURA[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbDISC[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbSKAT[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbPASS[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbPKCT[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbDEFS[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbOFFS[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbEXPE[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbLEAD[$dbID[$i]].'</td>';
		echo '<td style="text-align:center;">'.$dbOVER[$i].'</td>';
		echo '<td style="text-align:right;">'.$dbSALA2[$dbID[$i]].'<div style="display:none;" id="salary'.$dbINT[$dbID[$i]].'">'.$dbSALA[$dbID[$i]].'</div></td>';
		if($dbMOVE[$dbID[$i]] == 1) echo '<td style="text-align:center;">'.$db_membre_UFA[38].'</td>';
		else echo '<td></td>';
		if(isset($dbStatus[$dbID[$i]])) {
			if($dbSignAPPR[$dbStatus[$dbID[$i]]] == 0) echo '<td>'.$db_membre_UFA[43].' (<a href="javascript:deletePending(\''.$dbSignID[$dbStatus[$dbID[$i]]].'\',\''.$dbINT[$dbID[$i]].'\')">X</a>)</td>'; // Pending
			if($dbSignAPPR[$dbStatus[$dbID[$i]]] == 1) echo '<td>'.$db_membre_UFA[45]; // Refusé
			if($dbSignAPPR[$dbStatus[$dbID[$i]]] == 2) echo '<td>'.$db_membre_UFA[46]; // Accepté
		}
		else echo '<td></td>';
		echo '</tr>';
	}
	
	echo '</table>';
	
}
?>
</div>
<script type="text/javascript" language="JavaScript">
<!--
document.getElementById('showPlayer').addEventListener("click", function(e){
	if (e.target !== this) return;
	hidePlayer();
});
//-->
</script>